import React from 'react';
import { configure, addDecorator } from '@storybook/react';
import ContextProvider from './contextProvider';


function loadStories() {
    require('../stories');
}

let css = null;

const context = { 
    insertCss: (e) => {
        if ( e ) {   
            css = e._getCss();
        }
    }
};


// Ensures our stories are rendered in our context provider component so
// 'isomorphic-style-loader' works
//
addDecorator(story => (
    <ContextProvider context={context}>
        <style> 
            { css }
        </style>
        {story()}
    </ContextProvider>
));

configure(loadStories, module);