import React, { Component } from 'react';

/**
 * This component will provide context to the storybook root component
 * this is to ensure the 'isomorphic-style-loader' works in storybook, see github issue for moer info
 * @see https://github.com/kriasoft/isomorphic-style-loader/issues/60
 */
export default class ContextProvider extends Component {

    static propTypes = {
        children: () => { },
        context: () => { }
    };

    static childContextTypes = {
        insertCss: () => { }
    };

    getChildContext() {
        return this.props.context;
    }

    render() {
        return this.props.children
    }

}